package org.project.item.weapons;

import org.project.entity.Entity;

import java.util.ArrayList;

public class Sword extends Weapon{

    public Sword() {
        super(1, "Iron sword", 10);
    }

    public void uniqueAbility(ArrayList<Entity> targets) {
        int boostedDamage = this.getDamage() * 2;

        System.out.println("🗡️ " + this.getName() + " glows with power!");

        for (Entity target : targets)
        {
            if (target.isAlive())
            {
                target.takeDamage(boostedDamage);
                System.out.println("💥 " + target.getClass().getSimpleName() + " took " + boostedDamage + " deep slash damage!");
            }
        }
    }

}
